Subject: RE: [External] : Re: bug#51927: 27.2; Rename `highlight-nonselected-windows'

From: Drew Adams <[email-masked]>
Date: Thu, 18 Nov 2021 16:44:42 +0000

> > This variable seems poorly named, in more ways than one.  Could we
> > consider renaming it (by aliasing and perhaps deprecating the old name)?
> 
> This variable exists since Emacs 19.  Renaming it after all that time
> would make no sense at all.

I'm aware that it's an old name.
Renaming it makes a lot of sense.
There's no problem letting the old
name remain as an alias.

> > 1. This var has no effect if `transient-mark-mode' is disabled.
> 
> That is inaccurate: it has no effect if the region is inactive (you
> can have an active region even with transient-mark-mode disabled).  I
> added the caveat to the doc string.

I disagree.  The notion of "active" mark
or region has no meaning outside of
transient-mark-mode.  It was (naturally)
introduced precisely to describe t-m-mode
behavior.  There was no need for it before
then, and there's no need (or use) now, to
refer to it outside t-m-mode.  It has no
meaning, no user-visible or code-visible
behavior outside t-m-mode.

> > 2. This is not really about highlighting windows.  (Yes, the
> > highlighting occurs in windows, of course.  But it's the active region
> > that's highlighted.)
> 
> The doc string says that.

The enhancement request / bug report is
about the poor, inaccurate, misleading
_option name_.  Look for the option that
does what this does, and you won't find it.
Apropos, etc. can't help, because the name
is so inappropriate.  You may know of the
option, but have forgotten its name, and
you just won't find it.

> > 3. The name says nothing about what's most important: "region".  This is
> > about showing (highlighting) the _active region_ in _all_ windows.
> 
> See above: that ship sailed long ago.

See above, and the bug report.  There's
no problem keeping the old name as well
as a new, helpful, name.

Almost any name with "region" in it would
be an improvement.

> > 4. The doc should explain the alternative behavior, when the var is nil:
> > the active region is highlighted only in the selected window.
> 
> Added.  And with that, I'm closing this bug.

Yet another won't-fix.